clear all
close all
%Loads data from file into workspace.
load airheater_logfile.txt;
Ts=0.1; %Sampling interval
L=length(airheater_logfile);%(Matrix name becomes same as logfile name.)
N=L;
t=Ts*[1:N]';

u=airheater_logfile(1:N,2);
y=airheater_logfile(1:N,3) %T_out is y 

%T - enviroment
if(u(1)==0) 
    T_env= y(1);
end 

%Time delay calculation
count=0;
c =1;
min = y(1)+0.5;
while (min>y(c))
count = count+1;
c = c+1;
end;
Td = count*Ts;

%estimation of ?_t(T) and Kh
e=100;
Ni=20;
V=zeros(Ni,Ni);
for i=0:Ni
    K=0.5+i*0.1;
    for j=0:Ni
        T=0.1+j*0.01; 
        % run simulation
        sim('simulation_t2_a.mdl')
        %error y_real - y_pred
        V(i+1,j+1)= sum(N);
        if (sum(N)< e)
            e = sum(N);
            K_opt = K;
            T_opt = T;
        end;
    end; 
end;
K_opt
T_opt
%plot(t,u,t,y)